1. Wallets
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
        GET
      • Withdraw Balance
        POST
      • Get Self Custody Wallets
        GET
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Support Real Currency List
      • Get Support Crypto Currency List
      • Get Orders
      • Get Orders Details
      • Get Transaction
      • Get Orders Refund Info
      • Orders Refund
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Wallets

Withdraw Balance

POST
/api/withdraw
Withdraw account balance.
Request Body Description
amount - the amount to be withdrawn
chain - the blockchain
currency - the cryptocurrency to withdraw
ln_invoices - Lightning Network invoices
verify_code - verification code (required only when chain is Lightning Network)

Request

Authorization
API Key
Add parameter in header
API-Key
Example:
API-Key: ********************
or
Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/withdraw' \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "chain": "ETH",
    "currency": "ETH",
    "amount": 10
}'
Response Response Example
{
    "result": false,
    "code": 40004,
    "message": "The account needs to pass the KYB verification before the currency can be withdrawn.",
    "trace_id": "8dbbb4de198149c58e22a0983078557e"
}
Previous
Get Wallets List
Next
Get Self Custody Wallets
Built with